package com.wechat.model.dto;

import java.util.Date;
import java.util.List;

import com.wechat.common.utils.BaseUtils;

/**
 * @author jadyn
 * @version 创建时间：2020年2月25日 下午4:56:28 类说明
 */
public class JobFairHotelsDto {

	private String shareCode;

	private String nameCn;

	private String nameEn;

	private String headPortrait;

	private String provinceName;
	
	private String cityName;

	private String userCode;
	
	private String cityCode;
	
	private String prepareFlag;
	
	private Date createDate;
	
	private List<JobFairJobsDto> jobList;
	
	private List<Integer> positionIds;

	public String getUserCode() {
		return userCode;
	}

	public void setUserCode(String userCode) {
		this.userCode = userCode;
	}

	public String getNameCn() {
		return nameCn;
	}

	public void setNameCn(String nameCn) {
		this.nameCn = nameCn;
	}

	public String getNameEn() {
		return nameEn;
	}

	public void setNameEn(String nameEn) {
		this.nameEn = nameEn;
	}

	public String getHeadPortrait() {
		return headPortrait;
	}

	public void setHeadPortrait(String headPortrait) {
		this.headPortrait = headPortrait;
	}

	public String getProvinceName() {
		return provinceName;
	}

	public void setProvinceName(String provinceName) {
		this.provinceName = provinceName;
	}

	public String getCityName() {
		return cityName;
	}

	public void setCityName(String cityName) {
		this.cityName = cityName;
	}

	public List<JobFairJobsDto> getJobList() {
		return jobList;
	}

	public void setJobList(List<JobFairJobsDto> jobList) {
		this.jobList = jobList;
	}

	public Date getCreateDate() {
		return createDate;
	}

	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
		setShareCode(BaseUtils.getShareCodeAes(this.userCode, createDate));
	}

	public String getShareCode() {
		return shareCode;
	}

	public void setShareCode(String shareCode) {
		this.shareCode = shareCode;
		this.userCode = null;
		this.createDate = null;
	}

	public String getCityCode() {
		return cityCode;
	}

	public void setCityCode(String cityCode) {
		this.cityCode = cityCode;
	}

	public String getPrepareFlag() {
		return prepareFlag;
	}

	public void setPrepareFlag(String prepareFlag) {
		this.prepareFlag = prepareFlag;
	}

	public List<Integer> getPositionIds() {
		return positionIds;
	}

	public void setPositionIds(List<Integer> positionIds) {
		this.positionIds = positionIds;
	}

}
